Subject: Re: Problems of Compiling Kernel with linux-2.4.27 and linux-2.6.17 for PowerPC405EP Board

From: Gerhard Jaeger <[email-masked]>
Date: Wed, 12 Jul 2006 15:15:06 +0200

On Wednesday 12 July 2006 15:01, Zhou Rui wrote:
> Hi,
> Yesterday I tried to compile kernel with linux-2.4.27 and linux-2.6.17 for PowerPC405EP board. Both of the kernel images were created successfully, but when I tested them in ram from u-boot with NFS used. Both of the images could not booted from ram. The two kernel .config files are attached.
> 
> For the 2.4.27 kernel, after running bootm in u-boot and "Uncompressing Kernel Image ... OK" printed on the screen. There are
> "vector: 200 at pc = c0197d4c, lr = c0197d40
> msr = 1030, sp = c0181fb0 [c0181f00]
> current = c0180020, pid = 0, comm = swapper
> mon>".
> It seemd the booting process had entered a monitor, but I didn't know what it was.
> 
> For the 2.6.17 kernel, after running bootm in u-boot, the booting process stops at "Uncompressing Kernel Image ... OK". No other output after this sentence on the screen.
> 
> Would you like to give some advice about this? Thanks a lot.       
> 

Hi,

FOA - asking one list is enough!
For 2.4 kernel, you've answered your question by yourself - (un)check the kernelconfig for xmon in 
kernel hacking menu - this should do the trick,
For 2.6 kernel: what about your bootargs settings? also check the console settings of your
kernel config.

HTH
Gerhard

-- 
Gerhard Jaeger <[email-masked]>            
SYSGO AG                      Embedded and Real-Time Software
www.sysgo.com | www.elinos.com | www.pikeos.com | www.osek.de